Api key config
Toggle global API key enforcement
Enables or disables global API key enforcement for routes that honor centralized key policy.
Header Parameters
apikey*string
The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.
Request Body
application/json
enforce_api_keys*boolean
Response Body
application/json
application/json
curl -X PUT "https://athena-cluster.com/admin/api-key-config" \ -H "apikey: string" \ -H "Content-Type: application/json" \ -d '{ "enforce_api_keys": true }'{
"global": {
"enforce_api_keys": true,
"updated_at": "2019-08-24T14:15:22Z"
},
"clients": [
{
"client_name": "string",
"enforce_api_keys": true,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"status": "error",
"message": "string",
"error": "string"
}